#ifndef _LIRC_CLIENT_H
#define _LIRC_CLIENT_H

/* Response codes:
 * 1??: Success
 * 2??: Intermediate success, awaiting next command in the chain
 * 3??: Syntactical error
 * 4??: Comply failure
 */
#define LIRCC_FAILED(r) (((r) / 100) >= 3)
#define LIRCC_SUCCESS(r) (((r) / 100) == 1)

/* !!! OBSOLETE !!! */
struct lirc_list
{
    char *string;
    struct lirc_list *next;
};

struct lirc_code
{
    char *remote;
    char *button;
    struct lirc_code *next;
};

struct lirc_config
{
    char *current_mode;
    struct lirc_config_entry *next;
    struct lirc_config_entry *first;
};

struct lirc_config_entry
{
    char *prog;
    struct lirc_code *code;
    unsigned int rep;
    struct lirc_list *config;
    char *change_mode;
    unsigned int flags;
	
    char *mode;
    struct lirc_list *next_config;
    struct lirc_code *next_code;

    struct lirc_config_entry *next;
};
/* end obsolete */

/* new calls */
void lirc_freewords(char **words);
int lirc_sendcmd(char *cmd, ...);
int lirc_getreply(char ***words, int block);
int lirc_getmesg(char **mesg, int block);
int lirc_getbutton(char **code, int *repeat, char **button, char **remote, int block);
int lirc_runcmd(char ***w, char *cmd, ...);
int lirc_init2(char *prog, int verbose, char *sock, ...);
/* end new calls */

int lirc_init(char *prog, int verbose); /* Half obsolete */
int lirc_deinit(void);

int lirc_nextcode(char **code);

/* !!! OBSOLETE !!! */
int lirc_readconfig(char *file, struct lirc_config **config,
		    int (check)(char *s));
void lirc_freeconfig(struct lirc_config *config);
char *lirc_nextir(void);
char *lirc_ir2char(struct lirc_config *config, char *code);
int lirc_code2char(struct lirc_config *config, char *code, char **string);
/* end obsolete */

#endif
