#include <stdio.h>
#include "lirc_client.h"

#ifdef DMALLOC
#include <dmalloc.h>
#endif

int newmain(void)
{
    char *mesg;
    
    lirc_init("mplayer", 1);
    while(!lirc_getmesg(&mesg, 1))
	puts(mesg);
    return(0);
}

/* This function should be very similar to the calls made by programs
 * using the old API. */
int oldmain(void)
{
    struct lirc_config *config;
    char *code, *c;
    int ret;
    
    if(lirc_init("mplayer", 1) == -1)
	exit(1);
    if(lirc_readconfig(NULL, &config, NULL) == 0)
    {
	while(lirc_nextcode(&code) == 0)
	{
	    if(code == NULL)
		continue;
	    while(((ret = lirc_code2char(config, code, &c)) == 0) && (c != NULL))
		puts(c);
	    free(code);
	    if(ret == -1)
		break;
	}
	lirc_freeconfig(config);
    }
    lirc_deinit();
    exit(0);
}

int main(void)
{
    return(oldmain());
}

/*
 * Local Variables:
 * compile-command: "gcc -g -o test test.c .libs/liblirc_client.a libputils.a"
 * End:
 */
